rmarkdown_format {rmarkdown} | R Documentation

## R Markdown input format definition

### Description

Compose a pandoc markdown input definition for R Markdown that can be passed as the `from` argument of pandoc_options.

### Usage

    rmarkdown_format(extensions = NULL)

### Arguments

`extensions` | Markdown extensions to be added or removed from the default definition of R Markdown.

### Details

By default R Markdown is defined as all pandoc markdown extensions with the following tweaks for backward compatibility with the markdown package (+ features are added, - features are removed):

`+autolink_bare_uris`
`+ascii_identifier`
`+tex_math_single_backslash`

For more on pandoc markdown see the pandoc online documentation.

### Value

Pandoc markdown format specification

### See Also

output_format, pandoc_options

### Examples

    ## Not run:
    rmarkdown_format("-implicit_figures")

    ## End(Not run)

[Package rmarkdown version 1.2 Index]